Class | Merb::SessionStoreContainer
In: | lib/merb-core/dispatch/session/store_container.rb
Parent: | SessionContainer

### Methods

finalize generate regenerate setup

### Constants

GENERATE_MAX_TRIES | = | 100 |  | Determines how many times to try generating a unique session key before we give up

### Attributes

_fingerprint | [RW] | :api: private

### Public Class methods

generate()

Generates a new session ID and creates a new session.

#### Returns

SessionStoreContainer: | The new session.

:api: private

setup(request)

Setup a new session or retreive an existing session.

#### Parameters

request<Merb::Request>: | The Merb::Request that came in from Rack.

#### Notes

If no sessions were found, a new SessionContainer will be generated.

#### Returns

SessionContainer: | a SessionContainer.

:api: private

### Public Instance methods

finalize(request)

Teardown and/or persist the current session.

If @_destroy is true, clear out the session completely, including removal of the session cookie itself.

#### Parameters

request<Merb::Request>: | The Merb::Request that came in from Rack.

#### Notes

The data (self) is converted to a Hash first, since a container might choose to do a full Marshal on the data, which would make it persist attributes like ‘needs_new_cookie’, which it shouldn‘t.

:api: private

regenerate()

Regenerate the session ID.

:api: private

[Validate]